Subject: Re: [PATCH 2/6] fetch/pull: Add the 'on-demand' value to the --recurse-submodules option

From: Jonathan Nieder <[email-masked]>
Date: Wed, 23 Feb 2011 17:12:10 -0600

Jens Lehmann wrote:

>             As fetch and pull now by default just fetch those submodules
> for which new commits have been fetched in the superproject, a command
> line option to enforce that behavior is needed to be able to override
> configuration settings.

Probably this should go first in the series (the usual procedure:
first command line for easy testing, then configuration for routine
use, then defaults).

Aside from that, it looks sane from skimming this over.  I think I
prefer the name "changed" over "on-demand" since it is a little more
obvious what it will do.  Neither name captures that this only affects
checked-out submodules, unfortunately.